## org.hibernate.engine.spi
Enum CachedNaturalIdValueSource

    java.lang.Object
      java.lang.Enum<CachedNaturalIdValueSource>
          org.hibernate.engine.spi.CachedNaturalIdValueSource

All Implemented Interfaces:
  Serializable, Comparable<CachedNaturalIdValueSource>

    public enum CachedNaturalIdValueSource

extends Enum<CachedNaturalIdValueSource>

The type of action from which the cache call is originating.

Enum Constant Summary
`INSERT`
`LOAD`
`UPDATE`

Method Summary
`static CachedNaturalIdValueSource` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CachedNaturalIdValueSource[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOAD

    public static final CachedNaturalIdValueSource LOAD

### INSERT

    public static final CachedNaturalIdValueSource INSERT

### UPDATE

    public static final CachedNaturalIdValueSource UPDATE

Method Detail

### values

    public static CachedNaturalIdValueSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CachedNaturalIdValueSource c : CachedNaturalIdValueSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CachedNaturalIdValueSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.